[Deprecated]: V1.0
get
/ec-designer-svc/rest/v1.0/studies/{studyId}/visits/{visitId}/validate
Deprecated: Use latest version instead. Checks a specific visit in a study version placed in a Testing or Approved state.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required. Example: F054C951EB74443C93716CA714AB686EExample:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11 -
visitId(required): string(uuid)
Visit ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
9F4A6C7E1B8F4D56A23C9F3A0C7D4E77
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
booleanExamples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.